using System;
using System.Collections.Generic;
using UnityEngine;

[Serializable]
public class PlayerDataLoader: ISerializationCallbackReceiver, ILoader<Data_Status_Player>
{
    public Data_Status_Player status;
    public Data_Status_Player GetSingle()
    {
        return status;
    }
    
    public void OnBeforeSerialize()
    {
        
    }

    public void OnAfterDeserialize()
    {
       
    }
}

// [Serializable]
// public class PlayerData: ISerializationCallbackReceiver
// {
//     public string name;
//     public Data_Status_Player status;
//
//     public void OnBeforeSerialize()
//     {
//         
//     }
//
//     public void OnAfterDeserialize()
//     {
//        
//     }
// }